> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List a resource's standards scores

`GET https://api.pagerduty.com/standards/scores/{resource_type}/{id}`

List standards applied to a specific resource

Scoped OAuth requires: `standards.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | Id of the resource to apply the standards. |
| `resource_type` | string | yes | One of: `technical_services`. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

OK

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `resource_id` | string |  |  |
| `resource_type` | string |  | One of: `technical_service`. |
| `score` | object |  |  |
| `score.passing` | integer |  |  |
| `score.total` | integer |  |  |
| `standards` | array of object |  |  |
| `standards[].active` | boolean |  |  |
| `standards[].description` | string |  |  |
| `standards[].id` | string |  |  |
| `standards[].name` | string |  |  |
| `standards[].type` | string |  |  |
| `standards[].pass` | boolean |  |  |

Example: Response Example

```json
{
  "resource_id": "P0CPWBO",
  "resource_type": "technical_service",
  "score": {
    "passing": 1,
    "total": 1
  },
  "standards": [
    {
      "active": true,
      "description": "A description provides critical context about what a service represents or is used for to inform team members and responders. The description should be kept concise and understandable by those without deep knowledge of the service.",
      "id": "01CXX38Q0U8XKHO4LNKXUJTBFG",
      "pass": true,
      "name": "Service has a description",
      "type": "has_technical_service_description"
    }
  ]
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
